
// only hw5B needs this file.
// do not change this file (except to add a print_inventory declaration
//  if you wish).

#ifndef WAREHOUSE_H
#define WAREHOUSE_H

struct Product;
struct Part;
struct Warehouse;

struct Warehouse * new_warehouse();
struct Part * add_part(struct Warehouse*, char*);
struct Product * add_product(struct Warehouse*, char*);
struct Part * get_part(struct Warehouse*, char*);
struct Product * get_product(struct Warehouse*, char*);
void add_part_to_product(struct Product*, struct Part*);
int product_count(struct Warehouse*);
int part_count(struct Warehouse*);
void receive_parts(struct Part*, int);
int sell_product(struct Product*);

#endif
